Bug 1228081 - Gnome-terminal does not maximize correctly under wayland
Summary: Gnome-terminal does not maximize correctly under wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 22
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 07:41 UTC by Petr Kočandrle
Modified: 2016-07-19 14:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:37:19 UTC


Attachments (Terms of Use)
Maximized Gnome terminal under Wayland (61.84 KB, image/png)
2015-06-04 07:41 UTC, Petr Kočandrle
no flags Details
Maximized Gnome terminal under X (29.46 KB, image/png)
2015-06-04 07:43 UTC, Petr Kočandrle
no flags Details
maximized screenshot (2.39 MB, image/png)
2015-09-25 13:56 UTC, Berend De Schouwer
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 751368 None None None Never

Description Petr Kočandrle 2015-06-04 07:41:45 UTC
Created attachment 1034600 [details]
Maximized Gnome terminal under Wayland

Description of problem:
Maximized window of gnome-terminal in Wayland does not stretch over the whole screen, but the size is constrained by its size increments (basically the size of the characters)

Version-Release number of selected component (if applicable):
gnome-terminal.x86_64     3.16.2-1.fc22

How reproducible:
always

Steps to Reproduce:
1. run gnome-terminal
2. maximize the window

Actual results:
There is a right and bottom tranparent border.

Expected results:
Maximized window should not leave any transparent borders around the window.

Additional info:
When I maximize the terminal window in Wayland session it gets transparent right and bottom border of size 9 and 14 pixels respectively (font Monospace Regular, size 30, screen resolution 1280x800). When I change the font size the transparent border size changes. There is no such issue when using standard X session, it draws an empty border between the terminal window contents and the window slider of the same colour as the terminal background.

Comment 1 Petr Kočandrle 2015-06-04 07:43:25 UTC
Created attachment 1034601 [details]
Maximized Gnome terminal under X

Adding screenshot from an X session for comparison.

Comment 2 Olivier Fourdan 2015-06-19 12:35:25 UTC
looks like size increment to me. 

Basically, gnome-terminal enforce a size increment based on the characters width/height so that the window always remain a multiple of a character size.

On X11, most window managers (including metacity and mutter) will simply ignore that size increment when fullscreen/maximized.

Maybe the same should be done in Wayland.

Comment 3 Olivier Fourdan 2015-06-23 10:03:47 UTC
Opened a bug upstream and attached a patch there:

https://bugzilla.gnome.org/show_bug.cgi?id=751368

Comment 4 Olivier Fourdan 2015-07-03 14:31:03 UTC
Fix has been pushed upstream.

Comment 5 Berend De Schouwer 2015-09-25 11:31:29 UTC
Still in F23 beta.

Comment 6 Berend De Schouwer 2015-09-25 12:24:28 UTC
Related:

When the gnome-terminal window is maximized, and you open a new tab, the terminal becomes one line longer.  So the bottom line disappears off the screen.  The terminal should resize one line smaller to cater for the tab bar, like it does on X11.

Comment 7 Olivier Fourdan 2015-09-25 13:49:32 UTC
(In reply to Berend De Schouwer from comment #5)
> Still in F23 beta.

Err nope, works fine here on F23.

Comment 8 Olivier Fourdan 2015-09-25 13:52:29 UTC
(In reply to Olivier Fourdan from comment #7)
> (In reply to Berend De Schouwer from comment #5)
> > Still in F23 beta.
> 
> Err nope, works fine here on F23.

Oh wait, there's more - now maximization works fine until a key gets pressed and then the windows shrink, looks like a regression then...

Comment 9 Berend De Schouwer 2015-09-25 13:56:21 UTC
Created attachment 1077110 [details]
maximized screenshot

maximized left + maximized right

Comment 10 Olivier Fourdan 2015-10-01 13:20:04 UTC
(In reply to Berend De Schouwer from comment #9)
> Created attachment 1077110 [details]
> maximized screenshot
> 
> maximized left + maximized right

I have a patch for maximization in Wayland (but it's a bit of a hack), the problem is with tiling (maximized left + maximized right) because Xdg-Shell client protocol has no partial maximization nor tiling so it cannot be mapped to those concepts in GDK.

Comment 11 Fedora End Of Life 2016-07-19 14:37:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.